## org.apache.fop.image.analyser
Interface ImageReader

All Known Implementing Classes:
  AbstractImageReader

public interface ImageReader

ImageReader objects read image headers to determine the image size.

Version:
  1.0
Author:
  Pankaj Narula

Method Summary
`int` `getHeight()` Return the image height.
`java.io.BufferedInputStream` `getInputStream()` Return the used InputStream.
`java.lang.String` `getMimeType()` Return correspondig mime type.
`int` `getWidth()` Return the image width.
`boolean` `verifySignature(java.io.BufferedInputStream bis)` Verify image type.

Method Detail

### verifySignature

    public boolean verifySignature(java.io.BufferedInputStream bis)
                            throws java.io.IOException

  Verify image type.
  Parameters:
    `bis` - Image buffered input stream
  Returns:
    true if image type is the handled one
  Throws:
    java.io.IOException - io error

### getInputStream

    public java.io.BufferedInputStream getInputStream()

  Return the used InputStream.
  Returns:
    BufferedInputStream used to verify image type

### getMimeType

    public java.lang.String getMimeType()

  Return correspondig mime type.
  Returns:
    image mime type

### getHeight

    public int getHeight()

  Return the image height.
  Returns:
    image height

### getWidth

    public int getWidth()

  Return the image width.
  Returns:
    image width

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.